ZABBIX BUGS AND ISSUES

Unable to compile rev 9221

Details

  • Type: Bug Bug
  • Status: Closed Closed
  • Priority: Critical Critical
  • Resolution: Fixed
  • Affects Version/s: 1.8.1
  • Fix Version/s: None
  • Component/s: Server (S)
  • Labels:
    None
  • Environment:
    OpenSuse 11.2
  • Zabbix ID:
    NA

Description

I've got the source and then I try and compile it using:
./configure --enable-server --with-mysql --with-net-snmp --with-libcurl

i get the following error:

./configure: line 10516: syntax error near unexpected token `IKSEMEL,iksemel,'
./configure: line 10516: ` PKG_CHECK_MODULES(IKSEMEL,iksemel,'


Since I'm not compiling using the with-jabber option I've edited the configure file and changed to :

  if test "x$_libiksemel_with" != x"no"; then
       if test "$_libiksemel_with" = "yes"; then
                PKG_CHECK_MODULES(IKSEMEL,iksemel,

                         found_iksemel="no"
                         found_jabber="no"
       else

Which seems to have fixed the problem and i've compiled the source successfully.

Activity

Hide
Greg McCarthy added a comment -

Forgot to delete extra junk before posting. Please delete the last few lines from:

if test "x$_libiksemel_with" != x"no"; then
if test "$_libiksemel_with" = "yes"; then
PKG_CHECK_MODULES(IKSEMEL,iksemel,

JABBER_INCDIR=$IKSEMEL_CPPFLAGS
JABBER_LIBDIR=$IKSEMEL_LIBS
JABBER_LIBS="-liksemel"
,
found_iksemel="no"
found_jabber="no"
)
else

Since I'm not using

Show
Greg McCarthy added a comment - Forgot to delete extra junk before posting. Please delete the last few lines from: if test "x$_libiksemel_with" != x"no"; then if test "$_libiksemel_with" = "yes"; then PKG_CHECK_MODULES(IKSEMEL,iksemel, JABBER_INCDIR=$IKSEMEL_CPPFLAGS JABBER_LIBDIR=$IKSEMEL_LIBS JABBER_LIBS="-liksemel" , found_iksemel="no" found_jabber="no" ) else Since I'm not using
Hide
richlv added a comment -

current trunk compiles fine for me. do you have pkg-config installed ? (as suggested in the bugreport below)

related resources :
https://support.zabbix.com/browse/ZBX-148
http://www.zabbix.org/forum/showthread.php?p=21010

Show
richlv added a comment - current trunk compiles fine for me. do you have pkg-config installed ? (as suggested in the bugreport below) related resources : https://support.zabbix.com/browse/ZBX-148 http://www.zabbix.org/forum/showthread.php?p=21010
Hide
Greg McCarthy added a comment -

Thanks - that did the trick. Compiles fine now

Show
Greg McCarthy added a comment - Thanks - that did the trick. Compiles fine now
Hide
Greg McCarthy added a comment -

Installed pkg-config package.

Show
Greg McCarthy added a comment - Installed pkg-config package.
Hide
Laszlo Szabo added a comment -

Hi guys,

I was facing with this problem, it seems it does still exist in the latest version. (I used the latest svn version today.)

Regards,

Laca

Show
Laszlo Szabo added a comment - Hi guys, I was facing with this problem, it seems it does still exist in the latest version. (I used the latest svn version today.) Regards, Laca
Hide
richlv added a comment -

...but did you have pkg-config installed ?

Show
richlv added a comment - ...but did you have pkg-config installed ?

People

Vote (0)
Watch (1)

Dates

  • Created:
    Updated:
    Resolved: